Subject: [Anima] on adopting draft-richardson-anima-jose-voucher-01 --- needed for brski-async-enroll

From: Michael Richardson <[email-masked]>
Date: Tue, 29 Jun 2021 20:30:41 -0400

I have reposted draft-richardson-anima-jose-voucher.
It's very short.  Most of the document is examples.

Can we adopt this so that it does not keep brski-async-enroll from
progressing when the time comes?

[email-masked] wrote:
    > Name:		draft-richardson-anima-jose-voucher
    > Revision:	01
    > Title:		JOSE signed Voucher Artifacts for Bootstrapping Protocols
    > Document date:	2021-06-23
    > Group:		Individual Submission
    > Pages:		15
    > Html:           https://www.ietf.org/archive/id/draft-richardson-anima-jose-voucher-01.html
    > Diff:           https://www.ietf.org/rfcdiff?url2=draft-richardson-anima-jose-voucher-01

    > Abstract:
    > This document describes a serialiation of the RFC8366 voucher format
    > to a JSON format is then signed using the JSON Object Signing and
    > Encryption mechanism described in RFC7515.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 1 Jul 2021 08:44:08 +1200

> The JSON Compact Serialization is examplained in section 3.1 or section 
7.1

examplained?? A great word, but not in my dictionary.

Mainly I can't understand this draft because it's way outside my expertise, but it seems necessary so I would support adoption.

Regards
   Brian

On 30-Jun-21 12:30, Michael Richardson wrote:
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>

---

From: Michael Richardson <[email-masked]>
Date: Wed, 30 Jun 2021 19:13:44 -0400

> examplained?? A great word, but not in my dictionary.

Sorry.  Is "schemas" a word?

    > Mainly I can't understand this draft because it's way outside my
    > expertise, but it seems necessary so I would support adoption.

Thanks.
What parts did you understand?

It's just RFC8366 with a different signature.